%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-pyrfc3339
Version:        0.2
Release:        1%{?dist}
Summary:        Generate and parse RFC 3339 timestamps

License:        MIT
URL:            https://pypi.python.org/pypi/pyRFC3339
Source0:        https://pypi.python.org/packages/source/p/pyRFC3339/pyRFC3339-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
# --- unit tests ---
BuildRequires:  python-nose

%if %{with python3}
BuildRequires:  python3-devel
# --- unit tests ---
BuildRequires:  python3-nose
%endif # with python3

%description
This package contains a Python 2 library to parse and generate
RFC 3339-compliant timestamps using Python datetime.datetime objects.

%if %{with python3}
%package     -n python3-pyrfc3339
Summary:        Generate and parse RFC 3339 timestamps

%description -n python3-pyrfc3339
This package contains a Python 3 library to parse and generate
RFC 3339-compliant timestamps using Python datetime.datetime objects.

%endif # with python3


%prep
%setup -qc
mv pyRFC3339-%{version} python2

%if %{with python3}
cp -a python2 python3
%endif # with python3


%build
pushd python2
%{__python2} setup.py build
popd

%if %{with python3}
pushd python3
%{__python3} setup.py build
popd
%endif # with python3


%install
rm -rf $RPM_BUILD_ROOT
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with python3

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd


%check
pushd python2
%{__python2} setup.py test
popd

%if %{with python3}
pushd python3
%{__python3} setup.py test
popd
%endif


%files
%doc
%{python2_sitelib}/pyrfc3339
%{python2_sitelib}/pyRFC3339-%{version}-*.egg-info

%if %{with python3}
%files -n python3-pyrfc3339
%{python3_sitelib}/pyrfc3339
%{python3_sitelib}/pyRFC3339-%{version}-*.egg-info
%endif # with python3


%changelog
* Wed Oct 28 2015 Felix Schwarz <fschwarz@fedoraproject.org> 0.2-1
- initial packaging
